Bug 139740 - missing Requires for net-snmp-libs in SPEC file
missing Requires for net-snmp-libs in SPEC file
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
:
Depends On:
Blocks: 140583
  Show dependency treegraph
 
Reported: 2004-11-17 15:08 EST by Chris Stankaitis
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 05:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Stankaitis 2004-11-17 15:08:42 EST
Description of problem:

Try to install net-snmp and it will not install (missing requirements)
though it's recomended solution is to install the old RHEL version of
net-snmp rather then the new net-snmp-libs RPM

Version-Release number of selected component (if applicable):

net-snmp-5.1.2-11

How reproducible:

Always

Steps to Reproduce:
1. rpm -ihv net-snmp-5.1.2-11.i686.rpm
(((ERROR)))
2. rpm -ihv net-snmp-5.1.2-11.i686.rpm net-snmp-libs-5.1.2-11.i686.rpm
(((NO ERROR)
  
Actual results:

rpm -ihv net-snmp-5.1.2-11.i686.rpm
error: Failed dependencies:
        libnetsnmp.so.5 is needed by net-snmp-5.1.2-11
        libnetsnmpagent.so.5 is needed by net-snmp-5.1.2-11
        libnetsnmphelpers.so.5 is needed by net-snmp-5.1.2-11
        libnetsnmpmibs.so.5 is needed by net-snmp-5.1.2-11
        libnetsnmptrapd.so.5 is needed by net-snmp-5.1.2-11
    Suggested resolutions:
        net-snmp-5.0.9-2.30E.6.i386.rpm

Expected results:

message saying the install requires net-snmp-libs
Comment 1 Radek Vokal 2004-11-18 02:55:12 EST
Thanks, this will be fixed in next rawhide version.

Note You need to log in before you can comment on or make changes to this bug.